Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.model
Class ModelInternal

    java.lang.Object
      com.sleepycat.persist.model.ModelInternal

    public class ModelInternal

extends Object

Internal access class that should not be used by applications.

Constructor Summary
`ModelInternal()`

Method Summary
`static void` | `setCatalog(EntityModel model, com.sleepycat.persist.impl.PersistCatalog catalog)` Internal access method that should not be used by applications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelInternal

    public ModelInternal()

Method Detail

### setCatalog

    public static void setCatalog(EntityModel model,
                                  com.sleepycat.persist.impl.PersistCatalog catalog)

  Internal access method that should not be used by applications.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2008 Oracle. All rights reserved.